Devuan bug report logs - #481
gparted-1.0.0-0.1 comes with dependencies for systemd components

version graph

Package: gparted; Maintainer for gparted is (unknown);

Reported by: Klaus Ethgen <Klaus@Ethgen.de>

Date: Wed, 3 Jun 2020 08:18:02 UTC

Severity: normal

Tags: debian

Found in version 1.0.0-0.1

Forwarded to https://bugs.debian.org/962214

Full log


Message #13 received at 481@bugs.devuan.org (full text, mbox, reply):

Received: (at 481) by bugs.devuan.org; 3 Jun 2020 10:40:05 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 03 Jun 2020 10:40:05 +0000 (UTC)
Received: from mx.hindley.org.uk (mohindley.plus.com [81.174.245.179])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 213F1F60B19
	for <481@bugs.devuan.org>; Wed,  3 Jun 2020 12:37:11 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1jgQli-0005cS-9v; Wed, 03 Jun 2020 11:37:10 +0100
Received: (nullmailer pid 8130 invoked by uid 1000);
	Wed, 03 Jun 2020 10:37:10 -0000
Date: Wed, 3 Jun 2020 11:37:09 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: Klaus Ethgen <Klaus@Ethgen.de>, 481@bugs.devuan.org
Subject: Re: gparted-1.0.0-0.1 comes with dependencies for systemd components
Message-ID: <20200603103709.GV3124@hindley.org.uk>
References: <20200603080802.GA30344@ikki.ethgen.ch>
 <20200603094731.GU3124@hindley.org.uk>
 <20200603101643.GD7624@ikki.ethgen.ch>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20200603101643.GD7624@ikki.ethgen.ch>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Status: No, score=-0.0 required=5.0 tests=SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org
On Wed, Jun 03, 2020 at 11:16:43AM +0100, Klaus Ethgen wrote:
> > However, Devuan has libpam-elogind which provides libpam-systemd so that
> > dependencies like this work.
> 
> Well, first it is not only systemd than also policykit.
> 
> But I tried to install libpam-elogind which tried to remove the safety
> package prevent-systemd-completely due to libpam-systemd.

I don't know what the prevent-systemd-completely package you refer to is or
where it came from. It isn't part of Devuan.

PID1 systemd is removed from Devuan already; you don't need to do anything else.

> I do not get it why I would need a additional daemon that I don't use
> and don't want.

Well you were trying to install gparted and that does require logind
functionality so you do want it and would use it, if only indirectly.

If you want to avoid that you could consider using one of the command line
partitioners like parted, fdisk....

> Back to the policykit dependency. That would pull all that unneeded and
> unwanted pöttering-Kits like consolekit and (as shown) policykit. I will
> not allow such stuff on my system. They address problems that would not
> exists without pötterware.

Yes policykit requires either consolekit or elogind. Devuan has no plans or
reason to remove policykit, consolekit or elogind dependencies from
packages. Although, again, you are free to choose what to install. It is
certainly possible to use Devuan Beowulf without policykit, consolekit or
elogind, but you will need to choose your packages carefully and gparted is not
currently one of them.

Best wishes

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Apr 21 01:06:25 2021;